Форум программистов, компьютерный форум, киберфорум
SolidWorks
Войти
Регистрация
Восстановить пароль
Другие темы раздела
SolidWorks Облако точек в 3d модель Есть ли возможность имея текстовый файл с координатами точек X,Y,Z создать 3-х мерную модель этой поверхности и сохранить в sat, step или iges. Если да, то подскажите как. https://www.cyberforum.ru/ solidworks/ thread2406254.html SolidWorks Какой ПК собрать для SolidWorks 2017?
Какой ПК собрать для SolidWorks 2017 в пределах ~90 тыс. рублей? Живу в городе Миасс, Челябинская область - маленький город и мало магазинов, но если нужно, то смогу приобрести копмлектующие в...
SolidWorks Определить высоту детали https://www.cyberforum.ru/ solidworks/ thread2393375.html
Здравствуйте. Сразу скажу, что во всех этих штуках, связанных с моделированием и чтением чертежей я разбираюсь, мягко говоря, не очень, поэтому и обращаюсь за помощью. Есть чертеж, который в...
SolidWorks Какие преимущества у программы SolidWorks - перед Компас3Д и Автокад ? Здравствуйте, дорогие специалисты. Объясните пожалуйста - какие преимущества у программы SolidWorks - перед Компас3Д и Автокад ? Сам я выполняю трехмерные модели в Компасе3Д и мне интересно- чем... https://www.cyberforum.ru/ solidworks/ thread2391266.html
API маленькая толщина SolidWorks
Доброе время суток, форумчане. При разработке приложения под SolidWorks на C# с использованием API-команд я столкнулся с такой проблемой: при создании детали, если толщина стенки меньше 4 мм, второй...
SolidWorks Как разместить цилиндры случайным образом с заданной концентрацией https://www.cyberforum.ru/ solidworks/ thread2359295.html
Здравствуйте Не могли бы вы помочь мне в следующем вопросе: мне нужно «смоделировать» толпу на концертной площадке набором цилиндров высотой 1,7 м (например) и радиусом 0,25 м с разной...
SolidWorks Маркер перемещения объекта Всем привет! Недавно с Solidworks`а перешел на NX (Siemens Unigraphics). И в нем есть такая замечательная функция "Динамическое перемещение". Суть в том, что выбирается объект, затем, нажимая на... https://www.cyberforum.ru/ solidworks/ thread2357756.html SolidWorks Задание размеров
Создал я чертеж из сделанной заранее 3d модели (сборки). Поскольку модель достаточно большая, то необходимо ее отображение в масштабе 1:20. Как мне сделать так, чтобы размеры, которые я выставляют...
SolidWorks Отображение масштаба размеров Подскажите где настраивается сохранение масштаба надписей - относительно экрана, или относительно модели? https://www.cyberforum.ru/ solidworks/ thread2338882.html SolidWorks Solid Works Api и C# https://www.cyberforum.ru/ solidworks/ thread2335875.html
Здравствуйте! Подскажите пожалуйста, ресурсы для изучения Solid Works Api на русском. Интересуют такие моменты как, 1. Вставка деталей, в определенные места. 2. Проставление габаритов. 3....
Создание из поверхности 3D объекта SolidWorks
Доброго времени суток. Имеется такая проблема. Есть построенная в Wolfram Mathematica поверхность, сохраненная в .obj и .stl. Нужно на основе этой поверхности создать деталь цилиндр один торец...
SolidWorks Ошибка в расчете реакции на стержень Приветствую, решил аналитически, и пытаюсь решать эту же задачу в SolidWorks и выдает ошибочный ответ(ответ почти в 2 раза меньше). https://www.cyberforum.ru/ solidworks/ thread2312958.html
116 / 57 / 28
Регистрация: 24.07.2018
Сообщений: 740
0

Solid Works Api - SolidWorks - Ответ 13384384

07.03.2019, 15:38. Показов 2516. Ответов 4
Метки (Все метки)

Здравствуйте! Пишу програмку для Solid Works используя Api. Перестроение проекта, высвечивание элементов занимает много времени. Можно ли как то отключить визуализацию перестроения, высвечивания? Типа отключить визуализацию солида во время выполнения кода программы? Есть у кого то какое решение? Пример программы:
Visual Basic
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
    Sub Изменение_габарита()
 
        Обнуление_переменных_SW()
 
        swDoc = CType(swApp.ActiveDoc, ModelDoc2)
        boolstatus = swDoc.Extension.SelectByID2("Габарит", "SKETCH", 0, 0, 0, False, 0, Nothing, 0)
        swDoc.ActivateSelectedFeature()
 
        boolstatus = swDoc.Extension.SelectByID2("Глубина@Габарит@" + Модель + ".SLDASM", "DIMENSION", 0, 0, 0, False, 0, Nothing, 0)
        myDimension = Nothing
        myDimension = CType(swDoc.Parameter("Глубина@Габарит"), Dimension)
        myDimension.SystemValue = Толщина / 1000
 
        boolstatus = swDoc.Extension.SelectByID2("Высота@Габарит@" + Модель + ".SLDASM", "DIMENSION", 0, 0, 0, False, 0, Nothing, 0)
        myDimension = CType(swDoc.Parameter("Высота@Габарит"), Dimension)
        myDimension.SystemValue = Высота / 1000
 
        boolstatus = swDoc.Extension.SelectByID2("Ширина@Габарит@" + Модель + ".SLDASM", "DIMENSION", 0, 0, 0, False, 0, Nothing, 0)
        myDimension = CType(swDoc.Parameter("Ширина@Габарит"), Dimension)
        myDimension.SystemValue = Ширина / 1000
 
        swDoc.ClearSelection2(True)
        boolstatus = swDoc.EditRebuild3()
    End Sub


Вернуться к обсуждению:
Solid Works Api SolidWorks
0

Помощь в написании контрольных, курсовых и дипломных работ здесь.

Programming
Эксперт
94731 / 64177 / 26122
Регистрация: 12.04.2006
Сообщений: 116,782
07.03.2019, 15:38
Готовые ответы и решения:

Solid Works Api и C#
Здравствуйте! Подскажите пожалуйста, ресурсы для изучения Solid Works Api на русском. Интересуют...

Что делать с ошибкой "Создание сетки не удалось. Прерывание анализа" в Solid Works
Добрый день! Необходимо исследовать деформацию и распределение напряжений в чугунной детали под...

Solid Works виснет при команде на печать
Windows 7. Solid Works 2012. Было все нормально. Принтер, который в настройках системы был по...

Размер на полке в solid edge
Доброго форумчане, как получить такую выносную полку в solid edge ?

4
IT_Exp
Эксперт
87844 / 49110 / 22898
Регистрация: 17.06.2006
Сообщений: 92,604
07.03.2019, 15:38

Сделать 3d модель детали в solid edge
помогите пожалуйста!!нужно сделать детали в 3d в solid edge! спасибо заранее

Системник для Solid Works
Добрый день, требуется рабочий комп для работы с данным приложением, в основном используется для...

Изменить имя эскиза в Solid Works
Подскажите, пож-ста, как изменить имя эскиза в Solid Works средствами vba.

Есть ли другие форумы на которых обсуждаются вопросы по VBA под AutoCAD, Solid Works?
Я хотел бы узнать, есть ли другие форумы на которых обсуждаются вопросы по VBA под AutoCAD, Solid...

0
КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2021, vBulletin Solutions, Inc.